aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorumarcor <unai.martinezcorral@ehu.eus>2020-12-28 20:49:18 +0100
committerumarcor <unai.martinezcorral@ehu.eus>2020-12-28 23:48:09 +0100
commit147375c38a56820595df54047ad904cdc21d94ec (patch)
tree2755bff7094e05d3580d9c2818af5e9916e7ead5 /testsuite
parentaec9873b7f2a175611f431b7f67840cdb74eee96 (diff)
downloadghdl-147375c38a56820595df54047ad904cdc21d94ec.tar.gz
ghdl-147375c38a56820595df54047ad904cdc21d94ec.tar.bz2
ghdl-147375c38a56820595df54047ad904cdc21d94ec.zip
merge testsuite/python into testsuite/pyunit
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/python/testsuite.sh53
-rwxr-xr-xtestsuite/pyunit/testsuite.sh57
-rw-r--r--testsuite/pyunit/units01/demo.vhdl (renamed from testsuite/python/units01/demo.vhdl)0
-rw-r--r--testsuite/pyunit/units01/show_ports.py (renamed from testsuite/python/units01/show_ports.py)0
-rwxr-xr-xtestsuite/pyunit/units01/show_units.py (renamed from testsuite/python/units01/show_units.py)0
-rwxr-xr-xtestsuite/pyunit/units01/testsuite.sh (renamed from testsuite/python/units01/testsuite.sh)0
-rwxr-xr-xtestsuite/testsuite.sh28
7 files changed, 82 insertions, 56 deletions
diff --git a/testsuite/python/testsuite.sh b/testsuite/python/testsuite.sh
deleted file mode 100755
index 12b367f2c..000000000
--- a/testsuite/python/testsuite.sh
+++ /dev/null
@@ -1,53 +0,0 @@
-#! /bin/sh
-
-# Driver for a testsuite.
-
-set -e
-
-# This is the only place where test dirs are specified. Do not duplicate this
-# line
-dirs="*[0-9]"
-
-failures=""
-full=n
-
-for opt; do
- case "$opt" in
- -k | --keep-going) full=y ;;
- --dir=*) dirs=`echo $opt | sed -e 's/--dir=//'` ;;
- --skip=*) d=`echo $opt | sed -e 's/--skip=//'`
- dirs=`echo "" $dirs | sed -e "s/ $d//"` ;;
- --start-at=*) d=`echo $opt | sed -e 's/--start-at=//'`
- dirs=`echo "" $dirs | sed -e "s/^.* $d//"`
- dirs="$d $dirs" ;;
- --list-tests) echo $dirs; exit 0;;
- *) echo "Unknown option $opt"
- exit 2
- ;;
- esac
-done
-
-singlerun() {
- echo ""
- echo "dir $1:"
- cd $1
- if ! ./testsuite.sh; then
- echo "#################################################################"
- echo "######### FAILURE: $1"
- echo "#################################################################"
- if [ $2 = "y" ]; then
- failures="$failures $1"
- else
- exit 1;
- fi
- fi
- cd ..
-}
-
-for i in $dirs; do singlerun $i $full; done
-
-if [ x"$failures" = x"" ]; then
- echo "tests are successful" && exit 0
-else
- echo "test failed ($failures)" && exit 1
-fi
diff --git a/testsuite/pyunit/testsuite.sh b/testsuite/pyunit/testsuite.sh
new file mode 100755
index 000000000..7eac028ca
--- /dev/null
+++ b/testsuite/pyunit/testsuite.sh
@@ -0,0 +1,57 @@
+#! /bin/sh
+
+# Driver for a testsuite.
+
+set -e
+
+# This is the only place where test dirs are specified. Do not duplicate this
+# line
+#dirs="*[0-9]"
+#
+#failures=""
+#full=n
+#
+#for opt; do
+# case "$opt" in
+# -k | --keep-going) full=y ;;
+# --dir=*) dirs=`echo $opt | sed -e 's/--dir=//'` ;;
+# --skip=*) d=`echo $opt | sed -e 's/--skip=//'`
+# dirs=`echo "" $dirs | sed -e "s/ $d//"` ;;
+# --start-at=*) d=`echo $opt | sed -e 's/--start-at=//'`
+# dirs=`echo "" $dirs | sed -e "s/^.* $d//"`
+# dirs="$d $dirs" ;;
+# --list-tests) echo $dirs; exit 0;;
+# *) echo "Unknown option $opt"
+# exit 2
+# ;;
+# esac
+#done
+#
+#singlerun() {
+# echo ""
+# echo "dir $1:"
+# cd $1
+# if ! ./testsuite.sh; then
+# echo "#################################################################"
+# echo "######### FAILURE: $1"
+# echo "#################################################################"
+# if [ $2 = "y" ]; then
+# failures="$failures $1"
+# else
+# exit 1;
+# fi
+# fi
+# cd ..
+#}
+#
+#for i in $dirs; do singlerun $i $full; done
+#
+#if [ x"$failures" = x"" ]; then
+# echo "tests are successful" && exit 0
+#else
+# echo "test failed ($failures)" && exit 1
+#fi
+
+cd $(dirname "$0")/..
+
+python3 -m unittest pyunit
diff --git a/testsuite/python/units01/demo.vhdl b/testsuite/pyunit/units01/demo.vhdl
index ed98c936a..ed98c936a 100644
--- a/testsuite/python/units01/demo.vhdl
+++ b/testsuite/pyunit/units01/demo.vhdl
diff --git a/testsuite/python/units01/show_ports.py b/testsuite/pyunit/units01/show_ports.py
index a11f2acbd..a11f2acbd 100644
--- a/testsuite/python/units01/show_ports.py
+++ b/testsuite/pyunit/units01/show_ports.py
diff --git a/testsuite/python/units01/show_units.py b/testsuite/pyunit/units01/show_units.py
index 43baf9aed..43baf9aed 100755
--- a/testsuite/python/units01/show_units.py
+++ b/testsuite/pyunit/units01/show_units.py
diff --git a/testsuite/python/units01/testsuite.sh b/testsuite/pyunit/units01/testsuite.sh
index f45d12ac3..f45d12ac3 100755
--- a/testsuite/python/units01/testsuite.sh
+++ b/testsuite/pyunit/units01/testsuite.sh
diff --git a/testsuite/testsuite.sh b/testsuite/testsuite.sh
index fd686ccd0..b46ffcdc4 100755
--- a/testsuite/testsuite.sh
+++ b/testsuite/testsuite.sh
@@ -112,7 +112,7 @@ do_sanity () {
[ "$failures" = "" ] || exit 1
}
-# The GNA testsuite: regression testsuite using reports/issues from gna.org
+# The GNA testsuite: regression testsuite using reports/issues from gna.org and from GitHub
do_gna () {
gstart "[GHDL - test] gna"
cd gna
@@ -138,6 +138,27 @@ do_gna () {
[ "$failures" = "" ] || exit 1
}
+# The Python Unit testsuite: regression testsuite for Python bindings to libghdl
+do_pyunit () {
+ gstart "[GHDL - test] pyunit"
+ cd pyunit
+
+ ./testsuite.sh
+
+# if ./testsuite.sh > test.log 2>&1 ; then
+# printf "pyunit: ${ANSI_GREEN}ok${ANSI_NOCOLOR}\n"
+# # Don't disp log
+# else
+# printf "pyunit: ${ANSI_RED}failed${ANSI_NOCOLOR}\n"
+# cat test.log
+# failures="$failures"
+# fi
+
+ cd ..
+ gend
+ [ "$failures" = "" ] || exit 1
+}
+
# The VESTS testsuite: compliance testsuite, from: https://github.com/nickg/vests.git 388250486a
do_vests () {
gstart "[GHDL - test] vests"
@@ -226,7 +247,7 @@ for opt; do
esac
done
-if [ "x$tests" = "x" ]; then tests="sanity gna vests synth vpi"; fi
+if [ "x$tests" = "x" ]; then tests="sanity pyunit gna vests synth vpi"; fi
echo "tests: $tests"
@@ -234,10 +255,11 @@ echo "tests: $tests"
do_test() {
case $1 in
sanity) do_sanity;;
+ pyunit) do_pyunit;;
gna) do_gna;;
vests) do_vests;;
synth) do_synth;;
- vpi) do_vpi;;
+ vpi) do_vpi;;
*)
printf "${ANSI_RED}$0: test name '$1' is unknown${ANSI_NOCOLOR}\n"
exit 1;;